<?php
namespace kernel\modules\user\models;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $username
 * @property string $email
 * @property string $password_hash
 * @property int $auth_code
 * @property string $auth_code_expires_at
 * @property string $access_token
 * @property string $access_token_expires_at
 * @method static find($id)
 */
class User extends Model {

    const DEFAULT_USER_ROLE = 1;
    const ADMIN_USER_ROLE = 9;

    protected $table = 'user';
    protected $fillable = ['username', 'email', 'password_hash', 'role', 'auth_code', 'auth_code_expires_at', 'access_token', 'access_token_expires_at'];
    protected array $dates = ['deleted at'];

    public static function labels(): array
    {
        return [
            'username' => 'Логин',
            'email' => 'Email',
            'created_at' => 'Создан',
            'updated_at' => 'Обновлен',
        ];
    }
}
